Retrieves a collection of supervisory organizations. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.
Retrieves a single supervisory organization instance. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.
Retrieves a collection of members for the specified supervisory organization ID. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.
Retrieves a single member instance. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.
Lists the contingent worker types (for example Contractor or Consultant) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter contingent worker types on workers and jobs.
Lists the employee types (for example Regular or Temporary) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter employee types on workers and jobs.
Lists the jobs that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter jobs on workers and jobs.
Lists the work locations that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter locations on workers and jobs.
Lists the supervisory organizations that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter supervisory organizations on workers and jobs.
Lists the worker types (for example Employee or Contingent Worker) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter worker types on workers and jobs.
Retrieves a collection of workers and current staffing information. Use this Staffing tool for a worker’s job, position, location, worker type and supervisory organization. For pay slips, time off, direct reports and inbox tasks, use the workday-common worker tools.
Retrieves a single worker and their current staffing information for the specified worker ID. Use this Staffing tool for a worker’s job, position, location, worker type and supervisory organization. For pay slips, time off, direct reports and inbox tasks, use the workday-common worker tools.
Retrieves a collection of job families.Parameters:
Parameter
Type
Required
Default
Description
inactive
boolean
No
—
If true, the method returns inactive job families. Default is false.
jobFamilyGroup
string[]
No
—
The job family group for the job family. You can specify more than 1 jobFamilyGroup query parameter.
jobProfile
string[]
No
—
The job profile for the job family. You can specify more than 1 jobFamilyGroup query parameter. For possible values, you can use a returned id from GET /jobProfiles.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "inactive": { "type": "boolean", "description": "If true, the method returns inactive job families. Default is false." }, "jobFamilyGroup": { "type": "array", "items": { "type": "string" }, "description": "The job family group for the job family. You can specify more than 1 jobFamilyGroup query parameter." }, "jobProfile": { "type": "array", "items": { "type": "string" }, "description": "The job profile for the job family. You can specify more than 1 jobFamilyGroup query parameter. For possible values, you can use a returned id from GET /jobProfiles." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID" ]}
Retrieves a single job family instance.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Job_Family_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Job_Family_ID" } }, "required": [ "PCID", "ID" ]}
Retrieves a collection of job profiles.Parameters:
Parameter
Type
Required
Default
Description
includeInactive
boolean
No
—
If true, the method returns inactive job profiles. Default is false.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "includeInactive": { "type": "boolean", "description": "If true, the method returns inactive job profiles. Default is false." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID" ]}
Retrieves a single job profile instance.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Job_Profile_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Job_Profile_ID" } }, "required": [ "PCID", "ID" ]}
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID" ]}
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Position_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Position_ID" } }, "required": [ "PCID", "ID" ]}
Retrieves a collection of workspaces for the specified job ID.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Position_ID
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Position_ID" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Position_ID
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Location_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Position_ID" }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Location_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves a collection of supervisory organizations. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.Parameters:
Parameter
Type
Required
Default
Description
includeInactive
boolean
No
—
If true, this method returns the inactive organizations. Default is false.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "includeInactive": { "type": "boolean", "description": "If true, this method returns the inactive organizations. Default is false." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID" ]}
Retrieves a single supervisory organization instance. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID" } }, "required": [ "PCID", "ID" ]}
Retrieves a collection of members for the specified supervisory organization ID. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
Retrieves a single member instance. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Position_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID" }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Position_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves information about an organization chart of the specified supervisory organization id.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
Retrieves a single organization chart instance.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID" }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Organization_Reference_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
Lists the contingent worker types (for example Contractor or Consultant) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter contingent worker types on workers and jobs.Parameters:
Parameter
Type
Required
Default
Description
effectiveDate
string
No
—
Effective Date
job
string
No
—
The job value
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
location
string
No
—
The location value
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
proposedManager
string[]
No
—
Proposed Manager
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
staffingEvent
string
No
—
Staffing Event
worker
string
No
—
The worker value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "effectiveDate": { "type": "string", "description": "Effective Date" }, "job": { "type": "string", "description": "The job value" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "location": { "type": "string", "description": "The location value" }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "proposedManager": { "type": "array", "items": { "type": "string" }, "description": "Proposed Manager" }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "staffingEvent": { "type": "string", "description": "Staffing Event" }, "worker": { "type": "string", "description": "The worker value" } }, "required": [ "PCID" ]}
Lists the employee types (for example Regular or Temporary) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter employee types on workers and jobs.Parameters:
Parameter
Type
Required
Default
Description
effectiveDate
string
No
—
Effective Date
job
string
No
—
The job value
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
location
string
No
—
The location value
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
proposedManager
string[]
No
—
Proposed Manager
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
staffingEvent
string
No
—
Staffing Event
worker
string
No
—
The worker value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "effectiveDate": { "type": "string", "description": "Effective Date" }, "job": { "type": "string", "description": "The job value" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "location": { "type": "string", "description": "The location value" }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "proposedManager": { "type": "array", "items": { "type": "string" }, "description": "Proposed Manager" }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "staffingEvent": { "type": "string", "description": "Staffing Event" }, "worker": { "type": "string", "description": "The worker value" } }, "required": [ "PCID" ]}
Lists the jobs that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter jobs on workers and jobs.Parameters:
Parameter
Type
Required
Default
Description
effectiveDate
string
No
—
Effective Date
job
string
No
—
The job value
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
location
string
No
—
The location value
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
proposedManager
string[]
No
—
Proposed Manager
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
staffingEvent
string
No
—
Staffing Event
worker
string
No
—
The worker value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "effectiveDate": { "type": "string", "description": "Effective Date" }, "job": { "type": "string", "description": "The job value" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "location": { "type": "string", "description": "The location value" }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "proposedManager": { "type": "array", "items": { "type": "string" }, "description": "Proposed Manager" }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "staffingEvent": { "type": "string", "description": "Staffing Event" }, "worker": { "type": "string", "description": "The worker value" } }, "required": [ "PCID" ]}
Lists the work locations that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter locations on workers and jobs.Parameters:
Parameter
Type
Required
Default
Description
effectiveDate
string
No
—
Effective Date
job
string
No
—
The job value
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
location
string
No
—
The location value
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
proposedManager
string[]
No
—
Proposed Manager
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
staffingEvent
string
No
—
Staffing Event
worker
string
No
—
The worker value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "effectiveDate": { "type": "string", "description": "Effective Date" }, "job": { "type": "string", "description": "The job value" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "location": { "type": "string", "description": "The location value" }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "proposedManager": { "type": "array", "items": { "type": "string" }, "description": "Proposed Manager" }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "staffingEvent": { "type": "string", "description": "Staffing Event" }, "worker": { "type": "string", "description": "The worker value" } }, "required": [ "PCID" ]}
Lists the supervisory organizations that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter supervisory organizations on workers and jobs.Parameters:
Parameter
Type
Required
Default
Description
effectiveDate
string
No
—
Effective Date
job
string
No
—
The job value
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
location
string
No
—
The location value
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
proposedManager
string[]
No
—
Proposed Manager
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
staffingEvent
string
No
—
Staffing Event
worker
string
No
—
The worker value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "effectiveDate": { "type": "string", "description": "Effective Date" }, "job": { "type": "string", "description": "The job value" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "location": { "type": "string", "description": "The location value" }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "proposedManager": { "type": "array", "items": { "type": "string" }, "description": "Proposed Manager" }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "staffingEvent": { "type": "string", "description": "Staffing Event" }, "worker": { "type": "string", "description": "The worker value" } }, "required": [ "PCID" ]}
Lists the worker types (for example Employee or Contingent Worker) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter worker types on workers and jobs.Parameters:
Parameter
Type
Required
Default
Description
effectiveDate
string
No
—
Effective Date
job
string
No
—
The job value
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
location
string
No
—
The location value
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
proposedManager
string[]
No
—
Proposed Manager
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
staffingEvent
string
No
—
Staffing Event
worker
string
No
—
The worker value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "effectiveDate": { "type": "string", "description": "Effective Date" }, "job": { "type": "string", "description": "The job value" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "location": { "type": "string", "description": "The location value" }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "proposedManager": { "type": "array", "items": { "type": "string" }, "description": "Proposed Manager" }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "staffingEvent": { "type": "string", "description": "Staffing Event" }, "worker": { "type": "string", "description": "The worker value" } }, "required": [ "PCID" ]}
Retrieves a collection of workers and current staffing information. Use this Staffing tool for a worker’s job, position, location, worker type and supervisory organization. For pay slips, time off, direct reports and inbox tasks, use the workday-common worker tools.Parameters:
Parameter
Type
Required
Default
Description
email
string
No
—
Only return workers whose email matches.
filterByOrgVisibility
boolean
No
—
Only return workers whose supervisory organizations are visible to the processing user. This requires the ‘Enable Restrictions on Worker Prompts Based on Supervisory Org Visibility Settings’ setting to be enabled in Edit Tenant Setup - System.
includeTerminatedWorkers
boolean
No
—
Include terminated workers in the output
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
search
string
No
—
Searches workers by name or worker ID. The search is case-insensitive. You can include space-delimited search strings for an OR search.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "email": { "type": "string", "description": "Only return workers whose email matches." }, "filterByOrgVisibility": { "type": "boolean", "description": "Only return workers whose supervisory organizations are visible to the processing user. This requires the 'Enable Restrictions on Worker Prompts Based on Supervisory Org Visibility Settings' setting to be enabled in Edit Tenant Setup - System." }, "includeTerminatedWorkers": { "type": "boolean", "description": "Include terminated workers in the output" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "search": { "type": "string", "description": "Searches workers by name or worker ID. The search is case-insensitive. You can include space-delimited search strings for an OR search." } }, "required": [ "PCID" ]}
Retrieves a single worker and their current staffing information for the specified worker ID. Use this Staffing tool for a worker’s job, position, location, worker type and supervisory organization. For pay slips, time off, direct reports and inbox tasks, use the workday-common worker tools.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." } }, "required": [ "PCID", "ID" ]}
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Check-In_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Check-In_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves a collection of Check-Ins topics.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
Retrieves a single Check-In topic instance.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Check-In_Topic_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Check-In_Topic_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves a collection of explicit skills for the specified worker ID.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
skill
string
No
—
Retrieves the skills for the specified skill name.
skillSource
string
No
—
The Workday ID of the skill source. Returns skills associated with the skill source.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "skill": { "type": "string", "description": "Retrieves the skills for the specified skill name." }, "skillSource": { "type": "string", "description": "The Workday ID of the skill source. Returns skills associated with the skill source." } }, "required": [ "PCID", "ID" ]}
Retrieves a single explicit skill instance for the specified worker ID.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string).
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string)." } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves all external skill level information for a worker. You can filter the external skill levels by externalSkillId.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
externalSkillId
string
No
—
All External Skills. If passed, the External Skill Level associated with the External Skill ID.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "externalSkillId": { "type": "string", "description": "All External Skills. If passed, the External Skill Level associated with the External Skill ID." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
Retrieves a single external skill level instance for the specified worker ID.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string).
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string)." } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves a collection of service dates for the specified worker id.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
Retrieves a single service date information instance.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves a collection of skill items for the specified worker ID.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
Retrieves a single skill item instance for the specified worker ID.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - Named entry: Valid values: me.
subresourceID
string
Yes
—
The Workday ID of the subresource. Accepts: - Workday ID: Workday ID (32-character lowercase hexadecimal string). - Reference ID: Workday reference ID (Type=Value). Valid types: Skill_ID, Remote_Skill_ID
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID - **Named entry**: Valid values: `me`." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource. Accepts: - **Workday ID**: Workday ID (32-character lowercase hexadecimal string). - **Reference ID**: Workday reference ID (Type=Value). Valid types: Skill_ID, Remote_Skill_ID" } }, "required": [ "PCID", "ID", "subresourceID" ]}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Pinkfish - AI Agents \u0026 Workflows for Getting Work Done","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/logo-dark.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=5982b8c7681e4a4ae9b91d86646a3109","dark":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/logo-light.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=7e28f108b891d7443509634519c91db1"},"favicon":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/fish.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=a1e49a1bc05b6029a7f84dd799eacfd5","api":{"openapi":"api-reference/openapi.json"},"navbar":{"links":[{"href":"mailto:support@pinkfish.ai","label":"Support"}],"primary":{"type":"button","label":"Login","href":"https://app.pinkfish.ai/signin"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/getpinkfish","youtube":"https://www.youtube.com/@getpinkfish","discord":"https://discord.com/invite/HaDg7R4VZG"}},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pinkfishai","hasAudioNarration":false,"actualSubdomain":"pinkfishai","customDomains":["docs.pinkfish.ai"],"gitSource":{"type":"github","owner":"brig-pinkfish","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae8bfe3aa0de63df87d0c7d","collectionId":"48f67618-369d-484a-8ca4-ca2b9510d5ba","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae8bfe3aa0de63df87d0c7d"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aed43d4be8d7f0cd2d625ba","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1113},{"language":"default","tag":"Application MCP Servers","count":1061},{"language":"default","tag":"Documentation","count":68},{"language":"default","tag":"Embedded MCP Servers","count":33},{"language":"default","tag":"genesys","count":27},{"language":"default","tag":"Workflows","count":24},{"language":"default","tag":"Agent Mode","count":15},{"language":"default","tag":"Platform API","count":14},{"language":"default","tag":"Agents","count":11},{"language":"default","tag":"buildops","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles/custom.css","content":"html{scroll-padding-top:100px}html{scroll-behavior:smooth}"}],"page":{"pagePath":"api-reference/mcp-servers/application/workday/workday-staffing","slug":"/api-reference/mcp-servers/application/workday/workday-staffing","pageMetadata":{"title":"workday-staffing","sidebarTitle":"workday-staffing","description":"Workday Staffing (read-only) - jobs, job profiles, supervisory organizations, worker staffing data, and lookups for locations and worker types","href":"/api-reference/mcp-servers/application/workday/workday-staffing"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Workday Staffing (read-only) - jobs, job profiles, supervisory organizations, worker staffing data, and lookups for locations and worker types\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Server path:`}),` `,_jsx(_components.code,{children:`/workday-staffing`}),` | `,_jsx(_components.strong,{children:`Type:`}),` Application | `,_jsx(_components.strong,{children:`PCID required:`}),` Yes`]}),`\n`,_jsx(Heading,{level:`2`,id:`tools`,children:`Tools`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Tool`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobfamilies`,children:_jsx(_components.code,{children:`workday-staffing_get_jobfamilies`})})}),_jsx(_components.td,{children:`Retrieves a collection of job families.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobfamilies_by_id`,children:_jsx(_components.code,{children:`workday-staffing_get_jobfamilies_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single job family instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobprofiles`,children:_jsx(_components.code,{children:`workday-staffing_get_jobprofiles`})})}),_jsx(_components.td,{children:`Retrieves a collection of job profiles.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobprofiles_by_id`,children:_jsx(_components.code,{children:`workday-staffing_get_jobprofiles_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single job profile instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobs`,children:_jsx(_components.code,{children:`workday-staffing_get_jobs`})})}),_jsx(_components.td,{children:`Retrieves a collection of jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobs_by_id`,children:_jsx(_components.code,{children:`workday-staffing_get_jobs_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single job instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobs_by_id_workspace`,children:_jsx(_components.code,{children:`workday-staffing_get_jobs_by_id_workspace`})})}),_jsx(_components.td,{children:`Retrieves a collection of workspaces for the specified job ID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_jobs_by_id_workspace_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_jobs_by_id_workspace_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single workspace instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_supervisoryorganizations`,children:_jsx(_components.code,{children:`workday-staffing_get_supervisoryorganizations`})})}),_jsx(_components.td,{children:`Retrieves a collection of supervisory organizations. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_supervisoryorganizations_by_id`,children:_jsx(_components.code,{children:`workday-staffing_get_supervisoryorganizations_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single supervisory organization instance. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_supervisoryorganizations_by_id_members`,children:_jsx(_components.code,{children:`workday-staffing_get_supervisoryorganizations_by_id_members`})})}),_jsx(_components.td,{children:`Retrieves a collection of members for the specified supervisory organization ID. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_supervisoryorganizations_by_id_members_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_supervisoryorganizations_by_id_members_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single member instance. Use this Staffing tool for members and the org chart of a supervisory organization. workday-common lists the same organizations, so either works for a plain lookup.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_supervisoryorganizations_by_id_orgchart`,children:_jsx(_components.code,{children:`workday-staffing_get_supervisoryorganizations_by_id_orgchart`})})}),_jsx(_components.td,{children:`Retrieves information about an organization chart of the specified supervisory organization id.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_supervisoryorganizations_by_id_orgchart_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_supervisoryorganizations_by_id_orgchart_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single organization chart instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_values_jobchangesgroup_contingentworkertypes`,children:_jsx(_components.code,{children:`workday-staffing_get_values_jobchangesgroup_contingentworkertypes`})})}),_jsx(_components.td,{children:`Lists the contingent worker types (for example Contractor or Consultant) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter contingent worker types on workers and jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_values_jobchangesgroup_employeetypes`,children:_jsx(_components.code,{children:`workday-staffing_get_values_jobchangesgroup_employeetypes`})})}),_jsx(_components.td,{children:`Lists the employee types (for example Regular or Temporary) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter employee types on workers and jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_values_jobchangesgroup_jobs`,children:_jsx(_components.code,{children:`workday-staffing_get_values_jobchangesgroup_jobs`})})}),_jsx(_components.td,{children:`Lists the jobs that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter jobs on workers and jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_values_jobchangesgroup_locations`,children:_jsx(_components.code,{children:`workday-staffing_get_values_jobchangesgroup_locations`})})}),_jsx(_components.td,{children:`Lists the work locations that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter locations on workers and jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_values_jobchangesgroup_supervisoryorganization`,children:_jsx(_components.code,{children:`workday-staffing_get_values_jobchangesgroup_supervisoryorganization`})})}),_jsx(_components.td,{children:`Lists the supervisory organizations that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter supervisory organizations on workers and jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_values_jobchangesgroup_workertypes`,children:_jsx(_components.code,{children:`workday-staffing_get_values_jobchangesgroup_workertypes`})})}),_jsx(_components.td,{children:`Lists the worker types (for example Employee or Contingent Worker) that can be used as values in Workday staffing data, with the ID and name of each. Use the IDs to match or filter worker types on workers and jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers`,children:_jsx(_components.code,{children:`workday-staffing_get_workers`})})}),_jsx(_components.td,{children:`Retrieves a collection of workers and current staffing information. Use this Staffing tool for a worker’s job, position, location, worker type and supervisory organization. For pay slips, time off, direct reports and inbox tasks, use the workday-common worker tools.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single worker and their current staffing information for the specified worker ID. Use this Staffing tool for a worker’s job, position, location, worker type and supervisory organization. For pay slips, time off, direct reports and inbox tasks, use the workday-common worker tools.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_checkins`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_checkins`})})}),_jsx(_components.td,{children:`Retrieves a collection of Check-Ins.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_checkins_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_checkins_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single Check-In instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_checkintopics`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_checkintopics`})})}),_jsx(_components.td,{children:`Retrieves a collection of Check-Ins topics.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_checkintopics_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_checkintopics_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single Check-In topic instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_explicitskills`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_explicitskills`})})}),_jsx(_components.td,{children:`Retrieves a collection of explicit skills for the specified worker ID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_explicitskills_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_explicitskills_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single explicit skill instance for the specified worker ID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_externalskilllevel`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_externalskilllevel`})})}),_jsx(_components.td,{children:`Retrieves all external skill level information for a worker. You can filter the external skill levels by externalSkillId.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_externalskilllevel_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_externalskilllevel_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single external skill level instance for the specified worker ID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_servicedates`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_servicedates`})})}),_jsx(_components.td,{children:`Retrieves a collection of service dates for the specified worker id.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_servicedates_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_servicedates_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single service date information instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_skillitems`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_skillitems`})})}),_jsx(_components.td,{children:`Retrieves a collection of skill items for the specified worker ID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday-staffing_get_workers_by_id_skillitems_by_subresourceid`,children:_jsx(_components.code,{children:`workday-staffing_get_workers_by_id_skillitems_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single skill item instance for the specified worker ID.`})]})]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday-staffing_get_jobfamilies`,children:`workday-staffing_get_jobfamilies`}),`\n`,_jsx(_components.p,{children:`Retrieves a collection of job families.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`inactive`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`If true, the method returns inactive job families. Default is false.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`jobFamilyGroup`})}),_jsx(_components.td,{children:`string[]`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The job family group for the job family. You can specify more than 1 jobFamilyGroup query parameter.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`jobProfile`})}),_jsx(_components.td,{children:`string[]`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The job profile for the job family. You can specify more than 1 jobFamilyGroup query parameter. For possible values, you can use a returned id from GET /jobProfiles.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The maximum number of objects in a single response. The default is 20. The maximum is 100.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`offset`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.`})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`38`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`38`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"inactive\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"boolean\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"If true, the method returns inactive job families. Default is false.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"jobFamilyGroup\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"array\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"items\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The job family group for the job family. You can specify more than 1 jobFamilyGroup query parameter.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"jobProfile\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"array\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"items\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The job profile for the job family. You can specify more than 1 jobFamilyGroup query parameter. For possible values, you can use a returned id from GET /jobProfiles.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The maximum number of objects in a single response. The default is 20. The maximum is 100.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday-staffing_get_jobfamilies_by_id`,children:`workday-staffing_get_jobfamilies_by_id`}),`\n`,_jsx(_components.p,{children:`Retrieves a single job family instance.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ID`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`The Workday ID of the resource. Accepts: - `,_jsx(_components.strong,{children:`Workday ID`}),`: Workday ID (32-character lowercase hexadecimal string). - `,_jsx(_components.strong,{children:`Reference ID`}),`: Workday reference ID (Type=Value). Valid types: Job_Family_ID`]})]})})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{s
[...]
